Harness - Feature #2603

add screen template file name to check-screen-buffer failure message
07/03/2015 08:12 AM - Greg Shah
Category: Estimated time: 0.00 hour

Target version:

billable: No version:
vendor_id: GCD
Description

Related issues:

Related to User Interface - Feature #2534: methods/attrs support for EDITOR, ... Closed 03/06/2015

History

#1 - 07/03/2015 08:14 AM - Greg Shah
- File ias_upd20150703-harness.zip added

From Igor (note 176 in #2534):

| found useful to include the template name into the report in the case of mismatch. It helps a lot in the test results' analysis (at least for me). Do
you think that it makes sense to include it in the main version of the harness?

#2 - 07/03/2015 08:19 AM - Greg Shah
Code Review ias_upd20150703-harness.zip

Yes, | think this is a useful feature. Please create a task branch (in the harness_repo/harness project). Unzip this update and commit it to the task
branch.

Then make the following changes (and commit them to the task branch):
1. All files need history entries and copyright dates that are ranges with -2015.

2. ScreenRegion needs the fname member to have javadoc and the fname parameter for the constructor needs to be javadoc'd.

#3 - 07/03/2015 08:21 AM - Igor Skornyakov

Greg Shah wrote:> Yes, | think this is a useful feature. Please create a task branch (in the harness_repo/harness project). Unzip this update and
commit it to the task branch.

Then make the following changes (and commit them to the task branch):

1. All files need history entries and copyright dates that are ranges with -2015.
2. ScreenRegion needs the fname member to have javadoc and the fname parameter for the constructor needs to be javadoc'd.

OK, thank you, I'm working in this now. | need to read the documentation about branches anyway.

#4 - 07/13/2015 04:10 PM - Igor Skornyakov

Created branch 2603a. Committed changes with comments.

#5 - 07/14/2015 05:02 PM - Greg Shah
Code Review Task Branch 2603a, Revision 7

I'm good with the changes. Have these latest changes been tested in a full regression testing run of MAJIC?

#6 - 07/14/2015 05:10 PM - Igor Skornyakov
Greg Shah wrote:

I'm good with the changes. Have these latest changes been tested in a full regression testing run of MAJIC?

Yes, they had. Actually a number of times.

#7 - 07/14/2015 05:25 PM - Greg Shah

OK, then go ahead with the merge/commit to trunk.

When you send out the notification email, make sure you explain to people that they should use cd ~/testing/ && run_regression.sh configure to
obtain the latest harness code.

#8 - 07/14/2015 05:31 PM - Igor Skornyakov
Greg Shah wrote:

OK, then go ahead with the merge/commit to trunk.

When you send out the notification email, make sure you explain to people that they should use cd ~/testing/ && run_regression.sh configure to
obtain the latest harness code.

| will do the branch merge for the first time and | prefer to do it with a "fresh head" tomorrow. Is it OK?
#9 - 07/14/2015 05:38 PM - Greg Shah

| prefer to do it with a "fresh head" tomorrow. Is it OK?

Sure.

#10 - 07/15/2015 10:08 AM - Igor Skornyakov

The task branch passed regression testing and was merged with the harness trunk and checked in as revision 7.

#11 - 07/15/2015 10:38 AM - Greg Shah
- Status changed from WIP to Closed

Files

ias_upd20150703-harness.zip 15.1 KB 07/03/2015 Greg Shah
